<?php
	class Timer {
		var $startTime;
		var $endTime;
		function start() {
			$this->startTime = gettimeofday();
		}
		function stop() {
			$this->endTime = gettimeofday();
		}
		function elapsed() {
			return (($this->endTime["sec"] - $this->startTime["sec"]) * 1000000 + ($this->endTime["usec"] - $this->startTime["usec"])) / 1000000;
		}
	}
	$timer = new Timer();
	$timer->start();
	include("lib.php");
	include("settings-data.php");
	include("useragent.php");
	if (file_exists("content-data.php"))
		include("content-data.php");
	else
		createFile("content-data.php");
	session_start();
	$error = "";
	$style = "";
	if (!isset($name))
		$name = "";
	if (!isset($userLogin))
		$userLogin = "";
	if(!session_is_registered("userLogin"))
	{
		$userLogin = "";
	}
	if (!isset($url))
		$url = "";
	if (!isset($email))
		$email = "";
	if (!isset($message))
		$message = "";
	if (!isset($icq))
		$icq = "";
	session_register("error");
	session_register("style");
	session_register("name");
	session_register("url");
	session_register("email");
	session_register("message");
	session_register("icq");

	$name = translateHtml($name, false);
	$url = translateHtml($url, false);
	$email = translateHtml($email, false);
	$icq = translateHtml($icq, false);
	$message = translateHtml($message);
	setUserCookie(stripslashes($name), "cookie[name]");
	setUserCookie(stripslashes($url), "cookie[url]");
	setUserCookie(stripslashes($email), "cookie[mail]");
	setUserCookie(stripslashes($icq), "cookie[icq]");
	if (!isset($content))
		$content = array();
	if ($name == "")
	{
		$error .= "Name is empty<br>";
		$style .= "\n.name {\n\tcolor : ".$constant['error-color']."\n}\n";
	}
	else if (strlen($name) > 30)
	{
		$error .= "Name is long<br/>";
		$style .= "\n.name {\n\tcolor : ".$constant['error-color']."\n}\n";
	}
	if ($url != "" && $url != "http://")
	{
		$url_status = @check_url($url);
		if (!$url_status)
		{
			$error .= "Wrong or inaccessible url<br/>";
			$style .= "\n.url {\n\tcolor : ".$constant['error-color']."\n}\n";
		}
		else if ($url_status == "DNS")
		{
			$error .= "Inaccessible url<br/>";
			$style .= "\n.url {\n\tcolor : ".$constant['error-color']."\n}\n";
		}
	}
	if ($email != "" && !validEmail($email))
	{
		if (!validEmail($email))
		{
			$error .= "Wrong e-mail<br/>";
			$style .= "\n.email {\n\tcolor : ".$constant['error-color']."\n}\n";
		}
	}
	if ($message == "")
	{
		$error .= "Message is empty<br/>";
		$style .= "\n.message {\n\tcolor : ".$constant['error-color']."\n}\n";
	}
	else if (strlen($message) > ($constant['max-length-message']-1))
	{
		$error .= "Message is long<br/>Maximum length ".$constant['max-length-message']." bytes<br/>";
		$style .= "\n.message {\n\tcolor : ".$constant['error-color']."\n}\n";
	}
	if ($icq != "")
	{
		if(!isInteger($icq))
		{
			$error .= "ICQ number must have only number<br/>";
			$style .= "\n.icq {\n\tcolor : ".$constant['error-color']."\n}\n";
		}
	}
	if (!isset($HTTP_X_FORWARDED_FOR))
		$HTTP_X_FORWARDED_FOR = "";
	if	($HTTP_X_FORWARDED_FOR)
	{
		$ip = getenv("HTTP_X_FORWARDED_FOR");
		$proxy = getenv("REMOTE_ADDR");
		$host = gethostbyaddr($ip);
	} 
	else {
		$ip = getenv("REMOTE_ADDR");
		$host = gethostbyaddr($REMOTE_ADDR);
		$proxy = "";
	}
	$checkLastTime = checkLastPublish($ip, $login, $password, &$content, $constant['repeat-send-time']);
	if (!$checkLastTime['status'])
	{
		$error .= "Send message again via ".$checkLastTime['time']." seconds<br>";
	}
	$checkIp = checkBannedIp($ip, $login, $password);
	$checkProxyIp = checkBannedIp($proxy, $login, $password);
	if (!$checkIp || !$checkProxyIp)
	{
		$error .= "This 'ip' or 'proxy' is banned<br>";
	}
	if(!checkPublishName(strtolower($name),$userLogin))
	{
		$error .= "This name is already registered<br/>Please <a href=\"user-login.php?page=".$page."\" class=\"link\">login</a> or <a href=\"lost.php?page=".$page."\" class=\"link\">lost password?</a><br>";
		$style .= "\n.name {\n\tcolor : ".$constant['error-color']."\n}\n";
	}
	if ($error != "")
	{
		Header("Location: index.php?page=".$page."#post");exit;
	}
	$userAgent = $HTTP_USER_AGENT;
	$browser = getBrowser($arrBrowser,$userAgent);
	$system = getSystem($arrSystem,$userAgent);
	$server = $HTTP_HOST;
	if ($url == "http://")
		$url = "";
	$cnt = 0;
	$addContent = "<?php\n";
	$addContent .= "\t\$content[0]['ip'] = \"".$ip."\";\n";
	$addContent .= "\t\$content[0]['host'] = \"".$host."\";\n";
	$addContent .= "\t\$content[0]['proxy'] = \"".$proxy."\";\n";
	$addContent .= "\t\$content[0]['name'] = \"".$name."\";\n";
	$addContent .= "\t\$content[0]['url'] = \"".$url."\";\n";
	$addContent .= "\t\$content[0]['mail'] = \"".$email."\";\n";
	$addContent .= "\t\$content[0]['icq'] = \"".$icq."\";\n";
	$addContent .= "\t\$content[0]['message'] = \"".$message."\";\n";
	$addContent .= "\t\$content[0]['time'] = \"".time()."\";\n";
	$addContent .= "\t\$content[0]['admin-name'] = \"\";\n";
	$addContent .= "\t\$content[0]['admin-message'] = \"\";\n";
	$addContent .= "\t\$content[0]['admin-time'] = \"\";\n\n";
	$contentCnt = sizeof($content);
	for($i = 0; $i < $contentCnt; $i++)
	{
		$cnt++;
		while(list($key, $value) = each($content[$i]))
		{
			$addContent .= "\t\$content[".$cnt."]['".$key."'] = \"".$value."\";\n";
		}
		if ($i != $contentCnt-1)
			$addContent .= "\n";
	}
	$addContent .= "?>";
	reWriteDataInFile ($addContent);
	$mailBody = "Name: ".$name."\nMessage: \n".$message."\nDate: [".getFullDate(time(),$constant['locale']).", ".getTime(time())."]\nUrl: ".$url."\ne-mail: ".$email."\nICQ: ".$icq."\nServer: http://".$server."\nBrowser: ".$browser['browser']." ".$browser['version']."\nSystem Os: ".$system."\nUser Agent: ".$userAgent."\nIP: ".$ip."\nHost: ".$host."\nProxy: ".$proxy;

/**
 *	Send email with message to admin
 */
	@mail($constant['admin-mail'], "guestbook", $mailBody, "Content-Type: text/plain; charset=windows-1251\nContent-Transfer-Encoding: 8bit");

	session_unregister("name");
	session_unregister("url");
	session_unregister("email");
	session_unregister("message");
	session_unregister("icq");
	$timer->stop();
	Header("Location: index.php?".$timer->elapsed());exit;
?>